/**
*  Manuel de la Fuente
*  Plantilla Breeze Ocean
*/


@import url('https://rsms.me/inter/inter.css');


:root {




/*--------    COLORS    --------*/

    /*----    Ocean base    ----*/

        /*    Light    */
        --ui-light-view:        #FCFCFD;
        --ui-light-window:      #EFF1F3;
        --ui-light-titlebar:    #DFE3E6;
        --ui-light-alt:         #CFD5DA;
        --ui-light-alt-divider: #BCC5CB;

        --ui-light-text:        #14171A;


        /*    Dark    */
        --ui-dark-view:         #384045;
        --ui-dark-window:       #2D3438;
        --ui-dark-titlebar:     #23282B;
        --ui-dark-alt:          #181C1F;
        --ui-dark-alt-divider:  #07090A;
        
        --ui-dark-text:         #DFE3E6;


    /*----    Ocean extended    ----*/


        /*    Blue    */
        --blue-light-extra:     #CCE6FC;
        --blue-light:           #91CDFA;
        --blue:                 #3DAEE9;
        --blue-dark:            #287EAA;
        --blue-dark--extra:     #1E6488;

        --blue-text:            #08293A;


        /*    Green    */
        --green-light-extra:    #9BF6B6;
        --green-light:          #32D677;
        --green:                #27AE60;
        --green-dark:           #248C4E;
        --green-dark--extra:    #1A6C3B;

        --green-text:           #062C15;


        /*    Yellow    */
        --yellow-light-extra:   #FFD7CC;
        --yellow-light:         #FFA685;
        --yellow:               #F67400;
        --yellow-dark:          #C75D00;
        --yellow-dark--extra:   #9A4600;

        --yellow-text:          #401B06;


        /*    Red    */
        --red-light-extra:      #EFB5B8;
        --red-light-extra:      #EFB5B8;
        --red:                  #DA4453;
        --red-dark:             #AC3440;
        --red-dark--extra:      #80242D;

        --red-text:             #510610;
        



/*--------    SHADOWS    --------*/

    /*----    CARDS    ----*/
    --shadow-card:       0px 0px 0px 1px rgba(0, 0, 0, 0.08), 0px 1px 0px 1px rgba(0, 0, 0, 0.04);
    --shadow-card-hover: 0px 1px 0px 1px rgba(0, 0, 0, 0.08), 0px 1px 10px rgba(0, 0, 0, 0.1), 0px 4px 16px rgba(0, 0, 0, 0.12);




/*--------    TYPOGRAPHY    --------*/

    font-family: 'Inter', sans-serif; /* fallback */

    /*----    Headings    ----*/
    
    --text-heading-1: 200 32px /1.15 'Inter', sans-serif;
    --text-heading-2: 300 22px       'Inter', sans-serif;
    --text-heading-3: 400 14px       'Inter', sans-serif;
    --text-heading-4: 600 14px       'Inter', sans-serif;

    --text-body:      400 14px       'Inter', sans-serif;
    --text-body-bold: 600 14px       'Inter', sans-serif;




/*--------    MISC.    --------*/

    /*----    Border radius    ----*/
        
        --border-radius-small: 4px;
        --border-radius:       6px;
        --border-radius-big:   8px;


}



h1 { font: var(--text-heading-1); }
h2 { font: var(--text-heading-2); }
h3 { font: var(--text-heading-3); }
h4 { font: var(--text-heading-4); }

*  { font: var(--text-body); margin: 0; padding: 0;}



.light .ui-view         { background-color: var(--ui-light-view);        }
.light .ui-window       { background-color: var(--ui-light-window);      }
.light .ui-titlebar     { background-color: var(--ui-light-titlebar);    }
.light .ui-alt          { background-color: var(--ui-light-alt);         }
.light .ui-alt-divider  { background-color: var(--ui-light-alt-divider); }

.dark  .ui-view         { background-color: var(--ui-dark-view);         }
.dark  .ui-window       { background-color: var(--ui-dark-window);       }
.dark  .ui-titlebar     { background-color: var(--ui-dark-titlebar);     }
.dark  .ui-alt          { background-color: var(--ui-dark-alt);          }
.dark  .ui-alt-divider  { background-color: var(--ui-dark-alt-divider);  }





body { background-color: var(--ui-light-titlebar); }

.contenido {
    padding: 1.5em;
    margin: auto;
}

header * { margin: 0.5em 0 0.5em 0; }

.card {
    background-color: #eff1f3;
    padding: 1.75em 2em;
    display: flex;
    flex-flow: column;
    gap: 0.35em;
    box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0.08), 0px 1px 0px 1px rgba(0, 0, 0, 0.04);
    border-radius: 6px;
}

.card:hover {
    background-color: #fcfcfd;
    box-shadow: 0px 1px 0px 1px rgba(0, 0, 0, 0.08), 0px 1px 10px rgba(0, 0, 0, 0.1), 0px 4px 16px rgba(0, 0, 0, 0.12);
    cursor: pointer;
    transition: ease-out 80ms;
}

.card:active {
    background-color: #CFD5DA;
    box-shadow: 0 0 0 1px #BCC5CB;
}

.cards { display: grid; grid-template-columns: 1fr; gap: 0.5em;}


/* diseño responsive cutre */
@media screen and (min-width: 600px)  { .cards { grid-template-columns: 1fr 1fr;     } .contenido { max-width: 70vw; } }
@media screen and (min-width: 1080px) { .cards { grid-template-columns: 1fr 1fr 1fr; } }